summaryrefslogtreecommitdiff
path: root/libre-testing
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-04-12 01:32:31 -0300
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-04-12 01:32:31 -0300
commitb3a5694c6ba4ef605b01bb6a4b8ab2ef6739aa06 (patch)
tree34b9d7abfbe3a375b597c078e402d7ed08081f48 /libre-testing
parentc9c6a61b8a9ada57301b68ef030e0f4ebb51bf9f (diff)
iceweasel-libre: prolix pgo script
Diffstat (limited to 'libre-testing')
-rw-r--r--libre-testing/iceweasel-libre/PKGBUILD33
1 files changed, 15 insertions, 18 deletions
diff --git a/libre-testing/iceweasel-libre/PKGBUILD b/libre-testing/iceweasel-libre/PKGBUILD
index 03f4660be..bafff0c97 100644
--- a/libre-testing/iceweasel-libre/PKGBUILD
+++ b/libre-testing/iceweasel-libre/PKGBUILD
@@ -157,25 +157,22 @@ build() {
export MOZ_MAKE_FLAGS="$MAKEFLAGS"
unset MAKEFLAGS
- # Enable PGO for x86_64 and mips64el only. i686 currently has problems:
- # Either segfaults since gcc 4.8, or the linker runs out of memory
- # If you discover that PGO again works on i686, please file a bug
-
if $_pgo; then
-
- if [[ $CARCH != i686 ]]; then
- export DISPLAY=:99
- Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
- _fail=0
-
- make -f client.mk build MOZ_PGO=1 || _fail=1
-
- kill $! || true
- return $_fail
- else
- make -f client.mk build
- fi
-
+ # Enable PGO for x86_64 only. i686 currently has problems:
+ # Either segfaults since gcc 4.8, or the linker runs out of memory
+ # If you discover that PGO again works on i686, please file a bug
+ if [[ $CARCH = x86_64 ]]; then
+ export DISPLAY=:99
+ Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
+ _fail=0
+
+ make -f client.mk build MOZ_PGO=1 || _fail=1
+
+ kill $! || true
+ return $_fail
+ else
+ make -f client.mk build
+ fi
else
make -f client.mk build
fi